For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
        • GETList Bulk Sync Execution Status
        • GETList Bulk Sync Executions
        • GETGet Bulk Sync Execution
        • POSTCancel Bulk Sync Execution
        • GETGet Bulk Execution Console Logs
        • GETGet Bulk Sync Execution Logs
        • POSTExport Sync Logs
        • GETGet Bulk Schema Execution Console Logs
Logo
Log inBook a demo
API ReferenceBulk SyncExecutions

Get Bulk Execution Console Logs

GET
https://app.polytomic.com/api/bulk/syncs/:sync_id/executions/:execution_id/consolelog
GET
/api/bulk/syncs/:sync_id/executions/:execution_id/consolelog
$curl https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/0ecd09c1-b901-4d27-9053-f0367c427254/consolelog \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "entries": [
4 {
5 "id": "1744311099250-0",
6 "level": "INFO",
7 "message": "Started sync",
8 "payload": {},
9 "timestamp": "2024-01-01T00:00:00Z"
10 }
11 ],
12 "next_cursor": "string"
13 }
14}
Fetch the latest console log entries for a bulk sync execution. Returns at most the most recent 50 entries retained in Redis.
Was this page helpful?
Previous

Get Bulk Sync Execution Logs

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
execution_idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Query parameters

limitintegerOptional
Maximum number of entries to return. Values above the logger retention limit are capped to 50.
afterstringOptional
Return only entries newer than this cursor.

Response

OK
dataobject

Errors

400
Bad Request Error
404
Not Found Error
408
Request Timeout Error
500
Internal Server Error